Routes

FR · Insurance API · 2026-04-01

Create user

POSThttps://api.anessa.co/users

Create a new user with the given externalId.

Request

Header Parameters

Insurely-Versionstringrequired

The API version to use, as YYYY-MM-DD. Must match the version of the endpoint you are targeting. A request without it, or with a version older than the client's minimum API version, is served by the client's minimum API version.

Possible Enum values are 2026-04-01.

Request Body

externalIdstringrequired

Responses

User successfully created.

Body

anonymizedboolean
createdAtstring[date-time]
externalIdstring
updatedAtstring[date-time]
userUuidstring
cURL
curl https://api.anessa.co/users \
  -H "authorization-token: <authorization-token>" \
  -H "Insurely-Version: 2026-04-01" \
  -H "Content-Type: application/json" \
  -d '{
  "externalId": "string"
}' \
  -X POST